<!-- RPi Remote Switch
RPi GPIO Web interface for relay remote control
v. 1.0

Requires PHP7 and WiringPi


Author
IZ8EWD

Changelog
- 1.0, 2020-06: first issue
-->

<!DOCTYPE html>

<?php
	$relay = array(	#array with GPIO pin number and name, set to your preferences
		#GPIO pin, "name", status	GPIO WiringPi pin numbering, see http://wiringpi.com/pins/
		array(1,"Switch1",0),
		array(4,"Switch2",0),
		array(5,"Switch3",0),
		array(6,"Switch4",0)
	);

	$relaysnumber = count($relay);
  
?>

<html>
	<head>
		<title>Remote Switch</title>
		<meta charset="utf-8">
		<script src="script.js" type="text/javascript"></script>
	</head>
	
	<body>
		<h1>RPi Remote Switch</h1>
		<hr style="color: blue;">
		<b>Switch control</b>

		<table border="1px solid black;" cellpadding="10px;">
			<tr><th>Name</th><th>Switch</th><th>Status</th></tr>

<?php		
	for($x = 0; $x < $relaysnumber; $x++){
		system("gpio mode ".$relay[$x][0]." out"); #set GPIO as output pin
		$output = 0;
		exec ("gpio read ".$relay[$x][0], $output, $return); #read GPIO pin status
		$relay[$x][2] = $output[0];
		echo "<tr><td>".$relay[$x][1]."</td>";
		echo "<td><input type=\"button\" value=\"ON / OFF\" onclick='change_pin (".$relay[$x][0].");'></td>";	#create button
		
		echo "<td id='button_".$relay[$x][0]."'";
		if ($relay[$x][2] == 1){	#show status
			echo " bgcolor='lime'>";
		} else {
			echo " bgcolor='white'>";
		}
		echo "</td></tr>";
	}
?>	
			
		</table>
	</body>
    </html>