﻿//TheFreeElectron 2015, http://www.instructables.com/member/TheFreeElectron/
//JavaScript, uses pictures as buttons, sends and receives values to/from the Rpi
//Modified by IZ8EWD for RPi Remote Switch (http://www.pianetaradio.it)

//This function is asking for gpio.php, receiving datas and updating the index.php pictures
function change_pin ( pin ) {
var data = 0;
//send the pin number to gpio.php for changes
//this is the http request
	var request = new XMLHttpRequest();
	request.open( "GET" , "gpio.php?pic=" + pin, true);
	request.send(null);
	//receiving informations
	request.onreadystatechange = function () {
		if (request.readyState == 4 && request.status == 200) {
			data = request.responseText;
			//update the index pic
			if ( !(data.localeCompare("0")) ){
				document.getElementById("button_" + pin).style.backgroundColor = 'white';
			}
			else if ( !(data.localeCompare("1")) ) {
				document.getElementById("button_" + pin).style.backgroundColor = 'lime';
			}
			else if ( !(data.localeCompare("outrange"))) {
				document.getElementById("button_" + pin).style.backgroundColor = 'red';
				alert ("GPIO pin number out of range!" );
				return ("fail");			
			}
			else {
				document.getElementById("button_" + pin).style.backgroundColor = 'red';
				alert ("Something went wrong!" );
				return ("fail"); 
			}
		}
		//test if fail
		else if (request.readyState == 4 && request.status == 500) {
			document.getElementById("button_" + pin).style.backgroundColor = 'red';
			alert ("server error");
			return ("fail");
		}
		//else 
		else if (request.readyState == 4 && request.status != 200 && request.status != 500 ) {
			document.getElementById("button_" + pin).style.backgroundColor = 'red';
			alert ("Something went wrong!");
			return ("fail"); }
	}	
	
return 0;
}